Package org.eclipse.birt.report.engine.layout.emitter

# Interface IPage

public interface IPage
Interface to define a page

Since:
  3.3

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
disposer of the page
`void`
`drawBackgroundColor(Color color, int x, int y, int width, int height)`
Draws the background color at the contentByteUnder of the pdf
`void`
`drawBackgroundImage(int x, int y, int width, int height, int imageWidth, int imageHeight, int repeat, String imageUrl, byte[] imageData, int absPosX, int absPosY)`
Draw the background image
`void`
`drawImage(String imageId, byte[] imageData, String extension, int imageX, int imageY, int height, int width, String helpText, Map params)`
Draw the image
`void`
`drawImage(String uri, String extension, int imageX, int imageY, int height, int width, String helpText, Map params)`
Draw the image
`void`
`drawLine(int startX, int startY, int endX, int endY, int width, Color color, int lineStyle)`
Draws a line from the start position to the end position with the given line width, color, and style.
`void`
`drawText(String text, int textX, int textY, int width, int height, org.eclipse.birt.report.engine.nLayout.area.style.TextStyle textStyle)`
Draws text at specified position with specified styles.
`void`
`endClip()`
restores last graphic state.
`void`
`showHelpText(String text, int x, int y, int width, int height)`
Show the help text
`void`
`startClip(int startX, int startY, int width, int height)`
Saves last graphic state, and clips a rectangle area.

## Method Details

### dispose

void dispose()
disposer of the page

### startClip

void startClip(int startX, int startY, int width, int height)
Saves last graphic state, and clips a rectangle area.

Parameters:
  `startX` - x coordinate of left upper corner.
  `startY` - y coordinate of left upper corner.
  `width` - width of the area.
  `height` - height of the area.

### endClip

void endClip()
restores last graphic state.

### drawText

void drawText(String text, int textX, int textY, int width, int height, org.eclipse.birt.report.engine.nLayout.area.style.TextStyle textStyle)
Draws text at specified position with specified styles.

Parameters:
  `text` -
  `textX` -
  `textY` -
  `width` -
  `height` -
  `textStyle` -

### drawImage

void drawImage(String imageId, byte[] imageData, String extension, int imageX, int imageY, int height, int width, String helpText, Map params) throws Exception
Draw the image

Parameters:
  `imageId` - image id
  `imageData` - image data
  `extension` - image type
  `imageX` - image x position
  `imageY` - image y position
  `height` - image height
  `width` - image width
  `helpText` - help text
  `params` - map of parameters
Throws:
  `Exception` - handling exception

### drawImage

void drawImage(String uri, String extension, int imageX, int imageY, int height, int width, String helpText, Map params) throws Exception
Draw the image

Parameters:
  `uri` - image uri
  `extension` - image type
  `imageX` - image x position
  `imageY` - image y position
  `height` - image height
  `width` - image width
  `helpText` - help text
  `params` - map of parameters
Throws:
  `Exception` - handling exception

### drawLine

void drawLine(int startX, int startY, int endX, int endY, int width, Color color, int lineStyle)
Draws a line from the start position to the end position with the given line width, color, and style.

Parameters:
  `startX` - the start X coordinate of the line
  `startY` - the start Y coordinate of the line
  `endX` - the end X coordinate of the line
  `endY` - the end Y coordinate of the line
  `width` - the lineWidth
  `color` - the color of the line
  `lineStyle` - the given line style

### drawBackgroundColor

void drawBackgroundColor(Color color, int x, int y, int width, int height)
Draws the background color at the contentByteUnder of the pdf

Parameters:
  `color` - the color to be drawn
  `x` - the start X coordinate
  `y` - the start Y coordinate
  `width` - the width of the background dimension
  `height` - the height of the background dimension

### drawBackgroundImage

void drawBackgroundImage(int x, int y, int width, int height, int imageWidth, int imageHeight, int repeat, String imageUrl, byte[] imageData, int absPosX, int absPosY) throws Exception
Draw the background image

Parameters:
  `x` - image x position
  `y` - image y position
  `width` - with
  `height` - height
  `imageWidth` - image width
  `imageHeight` - image height
  `repeat` - repeat the image on background
  `imageUrl` - image URL
  `imageData` - image data
  `absPosX` - absolute x position
  `absPosY` - absolute y position
Throws:
  `Exception` - handling exception

### showHelpText

void showHelpText(String text, int x, int y, int width, int height)
Show the help text

Parameters:
  `text` - help text
  `x` - x position
  `y` - y position
  `width` - width
  `height` - height